Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

Issue in Deploying Core jar

Avatar

Level 2

Hi,

i have created the profile section in the pom to automate the deployment of core jar through the apps package.

<profile>

<id>labundle</id>

<activation>

<activeByDefault>true</activeByDefault>

</activation>

<build>

<plugins>

<!--   plugin for copying the jar to specific location -->

<plugin>

<groupId>org.apache.maven.plugins</groupId>

<artifactId>maven-dependency-plugin</artifactId>

<version>2.8</version>

<executions>

<execution>

<id>copy-artifact</id>

<phase>package</phase>

<goals>

<goal>copy</goal>

</goals>

<configuration>

<artifactItems>

<artifactItem>

<groupId>${project.groupId}</groupId>

<artifactId>${project.artifactId}</artifactId>

<version>${project.version}</version>

<type>${project.packaging}</type>

</artifactItem>

</artifactItems>

<outputDirectory>${project.dir}/apps/test/install/d/</outputDirectory>

</configuration>

</execution>

</executions>

</plugin>

</plugins>

</build>

</profile>

but getting the below error on running the "mvn clean install" cmd.

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-dependency-plugin:2.8:copy (copy-artifact) on project carshare.core: Execution copy-artifact of goal org.apache.maven.plugins:maven-dependency-plugin:2.8:copy failed: Plugin org.apache.maven.plugins:maven-dependency-plugin:2.8 or one of its dependencies could not be resolved: Failed to collect dependencies at org.apache.maven.plugins:maven-dependency-plugin:jar:2.8 -> org.apache.maven.reporting:maven-reporting-impl:jar:2.0.5: Failed to read artifact descriptor for org.apache.maven.reporting:maven-reporting-impl:jar:2.0.5: Could not transfer artifact org.apache.maven.reporting:maven-reporting-impl:pom:2.0.5 from/to adobe (http://repo.adobe.com/nexus/content/groups/public/): sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target -> [Help 1]

Version of maven used is 3.2.5 and Java 1.8

Repository used for the plugin is Index of /groups/public .

Any help on this would be helpful.

Thanks,

Suresh

8 Replies

Avatar

Level 10

How was your project created. It should be created using Lazybones or Archetype. Using these, your POM, etc is setup properly and you avoid these issues.

Avatar

Community Advisor

Scott is right..We using create project using Lazybones or Maven Archetype Plugin. How your project is created?

Avatar

Level 10

We will be releasing an article that discusses 'AEM and Achetype 11' soon.

Avatar

Community Advisor

Hi,

If you use Java 1.8 then make sure you use Maven 3.3.x version. Also, make sure to use Maven archetype 10

Thanks,

Ratna.

Avatar

Level 2

Tried to resolve the issue by changing the maven version to 3.3.x but it didn't work. And regard to archetype version, our application wasn't created using archetype.

Thanks.

Avatar

Employee Advisor

The problem is this:

Could not transfer artifact org.apache.maven.reporting:maven-reporting-impl:pom:2.0.5 from/to adobe (http://repo.adobe.com/nexus/content/groups/public/): sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target -> [Help 1]

I just don't understand, why you need a Certificate to access an plain HTTP site ... do you utilize a proxy which requires HTTPS?

Jörg